
\version "2.18.2"
\language "deutsch"

\header {
  encodingdate = "2017-01-09"
%  composer = "Josef Gabriel Rheinberger, Op. 109"
%  title = "Messe in Es-Dur"
%  subtitle = "Cantus Missae ex octo modulatione vocum concinnatus"
  copyright = "CPDL - Creative Commons Attribution Non Commercial 3.0"
  tagline = "komponiert 13-18 Jan. 1878"
}

#(set-global-staff-size 14.2)
\paper {
  paper-width = 21.0\cm
  paper-height = 29.7\cm
  top-margin = 1.2\cm
  bottom-margin = 1.5\cm
  left-margin = 1.4\cm
  right-margin = 1.4\cm
  page-count = #36
}
\layout {
  \context {
    \Score
    skipBars = ##t
    autoBeaming = ##f
  }
}

\markup { 
    \fill-line {
      \null
      \center-column {
       \vspace #16
       \abs-fontsize #20 \line { Josef Gabriel Rheinberger }
       \vspace #4
       \abs-fontsize #20 \line { Messe in Es-Dur }
       \vspace #4
       \abs-fontsize #16 \line { Op. 109 }
       \vspace #6
       \abs-fontsize #12 \line { Cantus Missae ex octo modulatione vocum concinnatus }
      }
      \null
    }
  } 
\pageBreak

% The score definition

SetupFull =
#(define-scheme-function
  (parser location letter text)
  (string? string?)
  #{
    \score {
      <<
      \new ChoirStaff <<
      #(set-accidental-style 'piano 'ChoirStaff)
      \new Staff <<
        \set Staff.instrumentName = \markup { \center-column { \line {"Chor 1"} \line {"Sopran"} } }
        \context Staff <<
          \context Voice = "OneVoice" { $(ly:parser-lookup parser 
               (string->symbol 
                (string-append letter "OneVoice" ))) }
          \new Lyrics \lyricsto "OneVoice" $(ly:parser-lookup parser 
               (string->symbol 
                (string-append letter "OneLyrics" )))
        >>
      >>
      \new Staff <<
        \set Staff.instrumentName = "Alt"
        \context Staff <<
          \context Voice = "TwoVoice" { $(ly:parser-lookup parser 
               (string->symbol 
                (string-append letter "TwoVoice" ))) }
          \new Lyrics \lyricsto "TwoVoice" $(ly:parser-lookup parser 
               (string->symbol 
                (string-append letter "TwoLyrics" )))
        >>
      >>
      \new Staff <<
        \set Staff.instrumentName = "Tenor"
        \context Staff <<
          \context Voice = "ThreeVoice" { $(ly:parser-lookup parser 
               (string->symbol 
                (string-append letter "ThreeVoice" ))) }
          \new Lyrics \lyricsto "ThreeVoice" $(ly:parser-lookup parser 
               (string->symbol 
                (string-append letter "ThreeLyrics" )))
        >>
      >>
      \new Staff <<
        \set Staff.instrumentName = "Bass"
        \context Staff <<
          \context Voice = "FourVoice" { $(ly:parser-lookup parser 
               (string->symbol 
                (string-append letter "FourVoice" ))) }
          \new Lyrics \lyricsto "FourVoice" $(ly:parser-lookup parser 
               (string->symbol 
                (string-append letter "FourLyrics" )))
        >>
      >>
      >>
    \new ChoirStaff <<
      #(set-accidental-style 'piano 'ChoirStaff)
      \new Staff <<
        \set Staff.instrumentName = \markup { \center-column { \line {"Chor 2"} \line {"Sopran"} } }
        \context Staff <<
          \context Voice = "FiveVoice" { $(ly:parser-lookup parser 
               (string->symbol 
                (string-append letter "FiveVoice" ))) }
          \new Lyrics \lyricsto "FiveVoice" $(ly:parser-lookup parser 
               (string->symbol 
                (string-append letter "FiveLyrics" )))
        >>
      >>
      \new Staff <<
        \set Staff.instrumentName = "Alt"
        \context Staff <<
          \context Voice = "SixVoice" { $(ly:parser-lookup parser 
               (string->symbol 
                (string-append letter "SixVoice" ))) }
          \new Lyrics \lyricsto "SixVoice" $(ly:parser-lookup parser 
               (string->symbol 
                (string-append letter "SixLyrics" )))
        >>
      >>
      \new Staff <<
        \set Staff.instrumentName = "Tenor"
        \context Staff <<
          \context Voice = "SevenVoice" { $(ly:parser-lookup parser 
               (string->symbol 
                (string-append letter "SevenVoice" ))) }
          \new Lyrics \lyricsto "SevenVoice" $(ly:parser-lookup parser 
               (string->symbol 
                (string-append letter "SevenLyrics" )))
        >>
      >>
      \new Staff <<
        \set Staff.instrumentName = "Bass"
        \context Staff <<
          \context Voice = "EightVoice" { $(ly:parser-lookup parser 
               (string->symbol 
                (string-append letter "EightVoice" ))) }
          \new Lyrics \lyricsto "EightVoice" $(ly:parser-lookup parser 
               (string->symbol 
                (string-append letter "EightLyrics" )))
        >>
      >>
  >>
      >>
    \header { piece = \markup { \fontsize #3 $text } }
    \layout {}
}
  #}
  )

\include "Rheinberger_109_Kyrie.ly"
\SetupFull "K" "Kyrie"

\include "Rheinberger_109_Gloria.ly"
\SetupFull "G" "Gloria"

\pageBreak

\include "Rheinberger_109_Credo.ly"
\SetupFull "C" "Credo"

\pageBreak

\include "Rheinberger_109_Sanctus.ly"
\SetupFull "S" "Sanctus"

\pageBreak

\include "Rheinberger_109_Benedictus.ly"
\SetupFull "B" "Benedictus"

\pageBreak

\include "Rheinberger_109_Agnus.ly"
\SetupFull "A" "Agnus Dei"

\pageBreak

\markup \column {
  \vspace #56
  \abs-fontsize #9 \line {Nach dem Manuskript der Bayerischen Staatsbibliothek (BSB Mus.ms. 4581)}
  \vspace #1
  \line {Die kleinen Noten in folgenden Takten stehen nicht im Manuskript, aber in anderen Ausgaben:}
   \line { Kyrie, Takt 40 Tenor 1 b d}
   \line { Gloria, Takt 59 Bass 2 (stellvertretend für Chor 2)}
   \line { Credo, Takt 126 Tenor 2 c a}
   \line { Agnus, Takt 67 Sopran 2 as f g}
   \vspace #1
  \line {Im Credo, Takt 19/20 Chor 1 steht im Manuskript der Text 'facta sunt'}
 }